summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-php
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-php')
-rwxr-xr-xgettext-tools/tests/lang-php34
1 files changed, 17 insertions, 17 deletions
diff --git a/gettext-tools/tests/lang-php b/gettext-tools/tests/lang-php
index 83a61ab..b8238d5 100755
--- a/gettext-tools/tests/lang-php
+++ b/gettext-tools/tests/lang-php
@@ -18,8 +18,8 @@ cat <<\EOF > prog.php
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o prog.tmp --omit-header --no-location prog.php || exit 1
-LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog.php || Exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || Exit 1
cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
@@ -31,7 +31,7 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} prog.ok prog.pot || exit 1
+${DIFF} prog.ok prog.pot || Exit 1
cat <<\EOF > fr.po
msgid ""
@@ -47,11 +47,11 @@ msgstr "%2$s remplace %1$s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
-LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || Exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || Exit 1
: ${DIFF=diff}
-${DIFF} fr.po fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || Exit 1
test -d fr || mkdir fr
test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
@@ -62,14 +62,14 @@ ${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of php version 4.0 or newer with gettext support.
(php -v) >/dev/null 2>/dev/null
test $? -le 1 \
- || { echo "Skipping test: php not found"; exit 77; }
+ || { echo "Skipping test: php not found"; Exit 77; }
case `php -v | sed -n -e 1p | sed -e 's/^[^0-9]*//'` in
[4-9].*) ;;
- *) echo "Skipping test: php version too old"; exit 77;;
+ *) echo "Skipping test: php version too old"; Exit 77;;
esac
{ php -m | grep '^gettext$' >/dev/null; } \
|| { echo "Skipping test: php was built without gettext support"
- exit 77
+ Exit 77
}
# Test which of the fr_FR locales are installed.
@@ -80,7 +80,7 @@ if test $LOCALE_FR != none; then
case $? in
0) ;;
77) LOCALE_FR=none;;
- *) exit 1;;
+ *) Exit 1;;
esac
fi
if test $LOCALE_FR_UTF8 != none; then
@@ -88,7 +88,7 @@ if test $LOCALE_FR_UTF8 != none; then
case $? in
0) ;;
77) LOCALE_FR_UTF8=none;;
- *) exit 1;;
+ *) Exit 1;;
esac
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
@@ -97,7 +97,7 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
else
echo "Skipping test: no french locale is supported"
fi
- exit 77
+ Exit 77
fi
: ${DIFF=diff}
@@ -114,13 +114,13 @@ EOF
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
prepare_locale_ fr $LOCALE_FR
- LANGUAGE= LC_ALL=$LOCALE_FR php -q prog.php > prog.out || exit 1
- ${DIFF} prog.ok prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR php -q prog.php > prog.out || Exit 1
+ ${DIFF} prog.ok prog.out || Exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
prepare_locale_ fr $LOCALE_FR_UTF8
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 php -q prog.php > prog.out || exit 1
- ${DIFF} prog.oku prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 php -q prog.php > prog.out || Exit 1
+ ${DIFF} prog.oku prog.out || Exit 1
fi
-exit 0
+Exit 0